ColumnFamily.Factory (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class ColumnFamily.Factory<T extends ColumnFamily>

- java.lang.Object
- - org.apache.cassandra.db.ColumnFamily.Factory<T>

- Enclosing class:
    ColumnFamily

      public abstract static class ColumnFamily.Factory<T extends ColumnFamily>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnFamily.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `create(CFMetaData metadata)`
    `T` | `create(CFMetaData metadata, boolean insertReversed)`
    `abstract T` | `create(CFMetaData metadata, boolean insertReversed, int initialCapacity)` Returns a (initially empty) column map whose columns are sorted according to the provided comparator.
    `T` | `create(java.lang.String keyspace, java.lang.String cfName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnFamily.Factory

          public ColumnFamily.Factory()

  - ### Method Detail

    - #### create

          public abstract T create(CFMetaData metadata,
                 boolean insertReversed,
                 int initialCapacity)

      Returns a (initially empty) column map whose columns are sorted according to the provided comparator. The `insertReversed` flag is an hint on how we expect insertion to be perfomed, either in sorted or reverse sorted order. This is used by ArrayBackedSortedColumns to allow optimizing for both forward and reversed slices. This does not matter for ThreadSafeSortedColumns. Note that this is only an hint on how we expect to do insertion, this does not change the map sorting.

    - #### create

          public T create(CFMetaData metadata,
                 boolean insertReversed)

    - #### create

          public T create(CFMetaData metadata)

    - #### create

          public T create(java.lang.String keyspace,
                 java.lang.String cfName)

Copyright © 2014 The Apache Software Foundation